export declare class HTTP_VERB {
    static GET: string;
    static POST: string;
    static PUT: string;
    static DELETE: string;
    static PATCH: string;
    static OPTIONS: string;
    static HEAD: string;
}
export interface gwOptions {
    x_api_key?: string;
    tokenAuthorizer?: {
        filepath: string;
        header_key: string;
    };
}
/**
 * The definition of a route to host.
 *
 * @interface lambdaRoute
 */
export interface lambdaRoute {
    verb: HTTP_VERB;
    filepath: string;
    route: string;
    options?: gwOptions;
}
